org.apache.ignite.internal.processors.cache.extras

## Interface GridCacheEntryExtras

All Known Implementing Classes:
  GridCacheAttributesEntryExtras, GridCacheAttributesMvccEntryExtras, GridCacheAttributesMvccObsoleteEntryExtras, GridCacheAttributesMvccObsoleteTtlEntryExtras, GridCacheAttributesMvccTtlEntryExtras, GridCacheAttributesObsoleteEntryExtras, GridCacheAttributesObsoleteTtlEntryExtras, GridCacheAttributesTtlEntryExtras, GridCacheEntryExtrasAdapter, GridCacheMvccEntryExtras, GridCacheMvccObsoleteEntryExtras, GridCacheMvccObsoleteTtlEntryExtras, GridCacheMvccTtlEntryExtras, GridCacheObsoleteEntryExtras, GridCacheObsoleteTtlEntryExtras, GridCacheTtlEntryExtras

    public interface GridCacheEntryExtras

Cache extras.

### Method Summary

Methods
`GridLeanMap<UUID,Object>` `attributesData()`
`GridCacheEntryExtras` `attributesData(GridLeanMap<UUID,Object> attrData)`
`long` `expireTime()`
`GridCacheMvcc` `mvcc()`
`GridCacheEntryExtras` `mvcc(GridCacheMvcc mvcc)`
`GridCacheVersion` `obsoleteVersion()`
`GridCacheEntryExtras` `obsoleteVersion(GridCacheVersion obsoleteVer)`
`int` `size()`
`long` `ttl()`
`GridCacheEntryExtras` `ttlAndExpireTime(long ttl, long expireTime)`

### Method Detail

#### attributesData

    @Nullable
    GridLeanMap<UUID,Object> attributesData()

Returns:
  Attributes data.

#### attributesData

    GridCacheEntryExtras attributesData(GridLeanMap<UUID,Object> attrData)

Parameters:
  `attrData` - Attributes data.
Returns:
  Updated extras.

#### mvcc

    @Nullable
    GridCacheMvcc mvcc()

Returns:
  MVCC.

#### mvcc

    GridCacheEntryExtras mvcc(GridCacheMvcc mvcc)

Parameters:
  `mvcc` - NVCC.
Returns:
  Updated extras.

#### obsoleteVersion

    @Nullable
    GridCacheVersion obsoleteVersion()

Returns:
  Obsolete version.

#### obsoleteVersion

    GridCacheEntryExtras obsoleteVersion(GridCacheVersion obsoleteVer)

Parameters:
  `obsoleteVer` - Obsolete version.
Returns:
  Updated extras.

#### ttl

    long ttl()

Returns:
  TTL.

#### expireTime

    long expireTime()

Returns:
  Expire time.

#### ttlAndExpireTime

    GridCacheEntryExtras ttlAndExpireTime(long ttl,
                                        long expireTime)

Parameters:
  `ttl` - TTL.
  `expireTime` - Expire time.
Returns:
  Updated extras.

#### size

    int size()

Returns:
  Extras size.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0
Release Date | : March 31 2015